List brews
Get a paginated list of brews for the authenticated user
Get a paginated list of brews for the authenticated user
Authorization
bearerAuth brews:readAuthorizationBearer <token>
API token in format: bfk_. Each operation lists the token scope it requires (the scopes are listed below).
read: Read everything (all areas)write: Create, change and delete everything (all areas)brews:read: List and view brewsbrews:write: Create, update, delete brews and notesinventory:read: List inventory itemsinventory:write: Create, update, delete inventory itemsequipment:read: List equipment profilesequipment:write: Create, update, delete equipment profilesstyles:read: List style profilesstyles:write: Create, update, delete style profilesprofiles:read: List mash, fermentation, and water profilescustom-fields:read: List custom field definitionscustom-fields:write: Create, update, delete custom field definitionsprofiles:write: Create, update, delete mash, fermentation, and water profilescellar:read: View cellar, packaged stock, tap lists, and labelscellar:write: Manage cellar, packaging, stock, tap lists, and labelssettings:read: View preferences, imports, calculators, and your data exportsettings:write: Change preferences and undo importscommunity:read: View community, feedback, tickets, inbox, and account overviewcommunity:write: Post, vote, and reply in community, feedback, and tickets
In: header
Scope: brews:read
Query Parameters
page*integer
Current page number
limit*integer
Items per page
status?string
Current brew status
Value in
"idea" | "planned" | "brewing" | "fermenting" | "conditioning" | "completed" | "archived"Response Body
application/json
application/json
application/json
curl -X GET "https://brewforge.sh/api/v1/brews?page=0&limit=0"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"brewType": "all_grain",
"status": "idea",
"tags": [
"string"
],
"batchNumber": 0,
"brewDate": "2019-08-24T14:15:22Z",
"plannedBrewDate": "2019-08-24T14:15:22Z",
"styleName": "string",
"estimatedABV": 0,
"estimatedIBU": 0,
"estimatedSRM": 0,
"tasteRating": 0,
"recipeGroupId": "string",
"versionNumber": 0,
"versionBranch": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"page": 0,
"limit": 0,
"total": 0,
"totalPages": 0,
"hasMore": true
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": {
"property1": null,
"property2": null
}
}
}